Subject: bug#40820: 28.0.50; vc: vc-push requires ssh-askpass to enter key password

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 22 Oct 2020 16:49:58 +0200

Fredrik Nyqvist <[email-masked]> writes:

> 0. To get the error message at step 6, make sure that ssh-askpass is
> not installed on the system.
> 1. Start Emacs emacs -Q
> 2. Edit a version controlled file (in this case git is used)
> 3. Do vc-next-action (C-x v v)
> 4. Enter a commit message and then press: C-c C-c
> 5. Try to push the file: C-x v P
> 6. Emacs now tries to launch ssh-askpass to enter the password. An error
> message will be shown if ssh-askpass is not installed on the system:
>
> ssh_askpass: exec(/usr/bin/ssh-askpass): No such file or directory

I don't think Emacs calls ssh-askpass directly -- it just leaves all
that stuff up to the OS setup, I think?

In any case, I was unable to reproduce this on Debian, presumably
because there's a lot of passphrase caching going on.  Without it I'm
just getting:

Running "git push"...
[email-masked]: Permission denied (publickey).^M
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.

So do you have a more complete recipe for how to reproduce this bug?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no